package _02_继承._05_继承构造方法;

public class Test {
    /**
     * Person 父类: name age , eat()
     * Student 子类: name age ,score  eat()
     * 1 自己设计继承结构
     * 2 父类需要提供无参数构造器, 在无参数构造器当中打印这是父类无参数构造器
     * 3 子类需要提供无参数构造器, 和一个有参数构造器(double  score)
     * 打印这是子类无参数构造器, 和这是子类有参数构造器
     *
     * 4 创建一个测试类, 在测试类中创建子类的对象
     *  Student s = new Student()   Student s1 = new Student(100);
     *  在控制台观察结果
     *  看调用过程
     */
    public static void main(String[] args) {
        Student student1 = new Student("fjl",18,100);
        System.out.println(student1.getName());
        System.out.println(student1.getAge());
    }
}
